### Method

# St ThemeNode adjust_for_width

#### Declaration [src]

    void
    st_theme_node_adjust_for_width (
      StThemeNode* node,
      float* for_width
    )

#### Description [src]

Adjusts a “for width” passed to `clutter_actor_get_preferred_height()` to account for borders and padding. This is a convenience function meant to be called from a `get_preferred_height()` method of a `ClutterActor` subclass. The value after adjustment is the width available for the actor’s content.

#### Parameters

`for_width`

  Type: `float*`

  The “for width” to adjust.

  The argument will be modified by the function.